Attribute VB_Name = "modPicResize"
Option Explicit
Public Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Private blnDown As Boolean
Private gx As Long
Private gy As Long
Private pActivePic As Control
Public pp As POINTAPI

Type POINTAPI
   X As Integer
   Y As Integer
End Type

Public Sub SetActivePicture(ByRef pic As PictureBox)
  On Error Resume Next
  Set pActivePic = pic
  
End Sub

Public Sub subInit()
  On Error Resume Next
  
  blnDown = False
  gx = 0
  gy = 0
  Set pActivePic = Nothing
  
End Sub

Public Sub subFormClick(ByRef frm As Form)
  On Error Resume Next
  
  Dim i As Long
  
  blnDown = False
  Set pActivePic = Nothing
  
  For i = 0 To 7
    frm.picCoin(i).Visible = False
  Next i
   
End Sub

Public Sub subPicMouseUp()
  On Error Resume Next
  
  blnDown = False
End Sub

Public Sub subPicMouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single, frm As Form)
  On Error Resume Next
  
  Dim difx As Long
  Dim dify As Long
  
  If Not (blnDown) Then Exit Sub
  If Button <> vbLeftButton Then Exit Sub
  If pActivePic Is Nothing Then Exit Sub
  
  difx = X - gx
  dify = Y - gy
  
  With pActivePic
    .Top = .Top + dify
    .Left = .Left + difx
  End With
  
  Call DrawCoin(frm)
  
End Sub

Public Sub subPicMouseDown(ByVal X As Single, ByVal Y As Single, ByRef frm As Form, pic As Control)
  On Error Resume Next
     
     
  If pActivePic Is Nothing Then Exit Sub
  
  If Not (pActivePic Is pic) Then Exit Sub
  
  gx = X
  gy = Y
  If frm.picCoin(0).Visible Then
    blnDown = True
  End If
    
End Sub

Public Sub subCoinMouseDown(ByRef frm As Form, ByVal X As Single, ByVal Y As Single)
  
  
  On Error Resume Next
  
  If pActivePic Is Nothing Then Exit Sub
  
  gx = X
  gy = Y
  
  blnDown = True
  
End Sub

Public Sub subImgClick(ByRef frm As Form, ByRef pic As Image)
  On Error Resume Next
  
  Dim i As Long
  
  Set pActivePic = pic
  
  pic.ZOrder
  
  Call DrawCoin(frm)
  
  For i = 0 To 7
    frm.picCoin(i).ZOrder
    frm.picCoin(i).Visible = True
  Next i


End Sub

Public Sub subPicClick(ByRef frm As Form, ByRef pic As Control)
  On Error Resume Next
  
  Dim i As Long
  
  Set pActivePic = pic
  
  pic.ZOrder
  
  Call DrawCoin(frm)
  
  For i = 0 To 7
    frm.picCoin(i).ZOrder
    frm.picCoin(i).Visible = True
  Next i


End Sub

Public Sub subCoinMouseUp()
  
  On Error Resume Next

  blnDown = False
End Sub


Public Sub DrawCoin(ByRef frm As Form)
  On Error Resume Next
  
  If pActivePic Is Nothing Then Exit Sub
  
  With frm.picCoin(0)
    .Left = pActivePic.Left - 5
    .Top = pActivePic.Top - 5
  End With
  
  With frm.picCoin(1)
    .Left = pActivePic.Left + (pActivePic.Width / 2) - 2 'rajout -5
    .Top = pActivePic.Top - 5
  End With
  
  With frm.picCoin(2)
    .Left = pActivePic.Left + pActivePic.Width '- 10
    .Top = pActivePic.Top - 5
  End With
  
  With frm.picCoin(3)
    .Left = pActivePic.Left + pActivePic.Width '- 10
    .Top = pActivePic.Top + (pActivePic.Height / 2) - 2 'rajout -5
  End With
  
  With frm.picCoin(4)
    .Left = pActivePic.Left + pActivePic.Width '- 10
    .Top = pActivePic.Top + pActivePic.Height '- 10
  End With
  
  With frm.picCoin(5)
    .Left = pActivePic.Left + (pActivePic.Width / 2) - 2 'rajout -5
    .Top = pActivePic.Top + pActivePic.Height '- 10
  End With
  
  With frm.picCoin(6)
    .Left = pActivePic.Left - 5
    .Top = pActivePic.Top + pActivePic.Height '- 10
  End With
  
  With frm.picCoin(7)
    .Left = pActivePic.Left - 5
    .Top = pActivePic.Top + (pActivePic.Height / 2) - 2 'rajout -5
  End With
  
End Sub

Public Sub subCoinMouseMove(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single, frm As Form)
  On Error Resume Next
  
  Dim difx As Long
  Dim dify As Long
  
  If Button <> vbLeftButton Then Exit Sub
  If pActivePic Is Nothing Then Exit Sub
  
  If blnDown Then
  
    difx = X - gx
    dify = Y - gy
  
    Select Case Index
      Case 0:
             With pActivePic
               .Top = .Top + dify
               .Left = .Left + difx
               .Width = .Width - difx
               .Height = .Height - dify
             End With
      Case 1:
             With pActivePic
               .Top = .Top + dify
               .Height = .Height - dify
             End With
      Case 2:
             With pActivePic
               .Top = .Top + dify
               .Width = .Width + difx
               .Height = .Height - dify
             End With
      Case 3:
             With pActivePic
               .Width = .Width + difx
            
             End With
      Case 4:
             With pActivePic
               .Width = .Width + difx
               .Height = .Height + dify
             End With
      Case 5:
             With pActivePic
               .Height = .Height + dify
             End With
      Case 6:
             With pActivePic
               .Left = .Left + difx
               .Width = .Width - difx
               .Height = .Height + dify
             End With
      Case 7:
             With pActivePic
               .Left = .Left + difx
               .Width = .Width - difx
             End With
      Case Else:
      
    End Select
    
    Call DrawCoin(frm)
    
  End If
End Sub
